Package net.md_5.bungee.api.dialog.chat

# Class ShowDialogClickEvent

java.lang.Object
net.md_5.bungee.api.chat.ClickEvent
net.md_5.bungee.api.dialog.chat.ShowDialogClickEvent

public class ShowDialogClickEvent extends ClickEvent
Click event which displays either a pre-existing dialog by key or a custom dialog.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class net.md_5.bungee.api.chat.ClickEvent

  `ClickEvent.Action`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowDialogClickEvent(String reference)`
  `ShowDialogClickEvent(Dialog dialog)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `Dialog`
  `getDialog()`
  Dialog to show.
  `String`
  `getReference()`
  Key for a pre-existing dialog to show.
  `int`
  `hashCode()`
  `void`
  `setDialog(Dialog dialog)`
  Dialog to show.
  `void`
  `setReference(String reference)`
  Key for a pre-existing dialog to show.
  `String`
  `toString()`

  ### Methods inherited from class net.md_5.bungee.api.chat.ClickEvent

  `getAction, getValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShowDialogClickEvent

    public ShowDialogClickEvent(String reference)

  - ### ShowDialogClickEvent

    public ShowDialogClickEvent(Dialog dialog)

- ## Method Details

  - ### getReference

    public String getReference()
    Key for a pre-existing dialog to show.

  - ### getDialog

    public Dialog getDialog()
    Dialog to show.

  - ### setReference

    public void setReference(String reference)
    Key for a pre-existing dialog to show.

  - ### setDialog

    public void setDialog(Dialog dialog)
    Dialog to show.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `ClickEvent`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `ClickEvent`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `ClickEvent`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ClickEvent`